package com.eactive.eai.rms.onl.manage.serviceinfo.osidinsti;

import com.eactive.eai.rms.common.datasource.DataSourceContextHolder;
import com.eactive.eai.rms.onl.vo.AbstractPagingSupportVo;
import com.eactive.eai.rms.onl.vo.PersistentVo;

public class OsidInstiVo extends AbstractPagingSupportVo implements PersistentVo {
    
	/**
	 * TSEAIIF01 대외기관 정보관리
	 */
	String adptrBzwkGroupName;	//어댑터업무그룹명
	String osidInstiNo;			//대외기관번호
	String eaiBzwkRpsntInstiNo;	//EAI업무대표기관번호
	String instiName;			//기관명
	String eaiBzwkDstcd;		//EAI업무구분코드
	String eaiBzwkHanglName;	//EAI업무한글명

	public String getAdptrBzwkGroupName() {
		return adptrBzwkGroupName;
	}

	public void setAdptrBzwkGroupName(String adptrBzwkGroupName) {
		this.adptrBzwkGroupName = adptrBzwkGroupName;
	}
	
	public String getOsidInstiNo() {
		return osidInstiNo;
	}

	public void setOsidInstiNo(String osidInstiNo) {
		this.osidInstiNo = osidInstiNo;
	}

	public String getEaiBzwkRpsntInstiNo() {
		return eaiBzwkRpsntInstiNo;
	}

	public void setEaiBzwkRpsntInstiNo(String eaiBzwkRpsntInstiNo) {
		this.eaiBzwkRpsntInstiNo = eaiBzwkRpsntInstiNo;
	}

	public String getInstiName() {
		return instiName;
	}

	public void setInstiName(String instiName) {
		this.instiName = instiName;
	}

	public String getEaiBzwkDstcd() {
		return eaiBzwkDstcd;
	}

	public void setEaiBzwkDstcd(String eaiBzwkDstcd) {
		this.eaiBzwkDstcd = eaiBzwkDstcd;
	}

	public String getEaiBzwkHanglName() {
		return eaiBzwkHanglName;
	}

	public void setEaiBzwkHanglName(String eaiBzwkHanglName) {
		this.eaiBzwkHanglName = eaiBzwkHanglName;
	}

	/**
     * get DB table schema id
     */
    public String getSchemaId() {
        return DataSourceContextHolder.getDataSourceType().getSchema();
    }

    /**
     * get table name
     * @return
     */
    public String getTableName() {
        return "TSEAIIF01";
    }    
}
